import { IListenerOptions, IObserverCallback, actionTypes, listenTypes, DebeDispatcher, Debe } from 'debe';
export * from './types';
import { ICreate, ISocket } from './types';
export declare const create: ICreate;
export declare const allowedMethods: string[];
export declare class SocketDebe extends Debe {
    constructor([hostname, port]: [string, number]);
}
export declare class SocketAdapter extends DebeDispatcher {
    socket: ISocket;
    constructor(hostname: string, port?: number, secure?: boolean);
    initialize(): Promise<void>;
    close(): Promise<any>;
    start(): Promise<void>;
    run<T>(action: actionTypes, collection: string, payload: any, options: any): Promise<any>;
    listen<T>(action: listenTypes, callback: IObserverCallback<T>, options: IListenerOptions): () => void;
}
